Subject: Re: Strange cd/CDPATH behavior
From: "Erik Nolte" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 26 Sep 2000 11:40:54 -0600

> > The obvious answer is to stop using DOS style paths with cygwin cd's.
> > Unfortunately, what I'm really doing is "cd $SRC_PATH" where SRC_PATH is
> > "W:/src".  SRC_PATH must be a DOS style path to keep javac and other
> > windows-based software happy (they can't grok paths without drive
> letters).
>
> Use cygpath...
> >cygpath -u -p c:/
> /
>
> In your example, something like:
> cd $(cygpath -u -p $SRC_PATH)
> would probably work.

I wish I could, unfortunately the cd's are inside makefiles and scripts that
run both on cygwin/NT/Win2K and on Solaris.  And the Suns aren't too happy
about cygpath.  I can hack around the problem by unsetting CDPATH or
creating a SHELL_SRC_PATH (/c) and a APP_SRC_PATH (c:/).  The interesting
thing is that B20.1 didn't exhibit the problem.  How compatible should 1.1.4
be with B20.1?

I'm under the impression that B20.1 is obsolete and that Cygnus (or at least
the cygwin developers) would prefer people using 1.1.x.  Is that true or
should we wait until 2.0?

Thanks!
- Erik

--
Want to unsubscribe from this list?
Send a message to [email-masked]